Subject: Re: [PATCH 9/10] powerpc/mm: Rework usage of _PAGE_COHERENT/NO_CACHE/GUARDED v2

From: "Gerhard Pircher" <[email-masked]>
Date: Sun, 18 Jan 2009 21:29:43 +0100

-------- Original-Nachricht --------
> Datum: Mon, 19 Jan 2009 06:55:06 +1100
> Von: Benjamin Herrenschmidt <[email-masked]>
> An: Gerhard Pircher <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> Betreff: Re: [PATCH 9/10] powerpc/mm: Rework usage of _PAGE_COHERENT/NO_CACHE/GUARDED v2

> On Sun, 2009-01-18 at 20:43 +0100, Gerhard Pircher wrote:
> > I'm pretty sure that the hack for setup_32.c above protects this code in hash_low_32.S/
> > create_hpte() from being overwritten with nops. But I wonder which other paths exists
> > in the memory management code to set the coherent flag in PTEs? Any ideas how I
> > can get it to work without removing _PAGE_COHERENT from _PAGE_BASE?
> 
> I'll have a look, could be something with the BAT setup too, and I
> haven't modified the 603 code, are you using a 603 ?
No, it's a 7455 (which has CPU_FTR_NEED_COHERENT set in its CPU features).

Thanks!

Gerhard
-- 
Sensationsangebot verlängert: GMX FreeDSL - Telefonanschluss + DSL 
für nur 16,37 Euro/mtl.!* http://dsl.gmx.de/?ac=OM.AD.PD003K1308T4569a